import { EventEmitter, OnChanges, OnInit, SimpleChanges } from "@angular/core";
import { MatDialog } from "@angular/material/dialog";
import { TranslateLibraryService } from '../../../../services/translation-registry.service';
import { DangerAction } from "../../model/danger-action.model";
import { DangerAssessment } from "../../model/danger-assessment.model";
import { Danger } from "../../model/danger.model";
import { RiskDanger } from "../../model/risk-danger.model";
import { TreeConfig } from "../../../tree/model/tree-config.model";
export declare class RiskListComponent implements OnInit, OnChanges {
    translate: TranslateLibraryService;
    private dialog;
    LANG: any;
    title: string;
    isNotEditedItem: boolean;
    dangers: Array<Danger>;
    analysisDanger: Array<DangerAssessment>;
    dangerAction: DangerAction;
    show: number;
    dangerConfig: TreeConfig;
    resultData: Array<any>;
    riskAnalysis: Array<any>;
    data: RiskDanger;
    updateData: EventEmitter<any>;
    constructor(translate: TranslateLibraryService, dialog: MatDialog);
    ngOnChanges(changes: SimpleChanges): void;
    ngOnInit(): void;
    groupByDanger(dangers: Array<Danger>, i: number): void;
    editDanger(item: any): void;
    removeDanger(id: number): void;
    dangerDetail(danger: Danger): void;
    increaseShow(id: number): void;
    onCloseClick(): void;
}
